:root {
    --palette-blue: #1d1f36;
    --palette-orange: #e26333;
}

* {
    font-family: 'Manrope', sans-serif;
}

body {
    background: #000;
    color: #fff;
    overflow-x: hidden;
}

/* Btn */
.btn-primary {
    position: relative;
    display: inline-block;
    background: var(--palette-orange);
    color: var(--palette-blue);
    padding: 8px 16px;
    border-radius: 4px;
    font-size: 14px;
    overflow: hidden;
    z-index: 0;
    transition: color .2s ease;
}

.btn-primary::before {
    content: "";
    position: absolute;
    inset: 0;
    background-color: #e97949;
    transform: scaleX(0);
    transform-origin: left center;
    transition: transform .2s ease;
    z-index: -1;
}

.btn-primary:hover {
    color: white;
}
.btn-primary:hover::before {
    transform: scaleX(1);
}


/* Menu */
.menu {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    width: 1000px;
    max-width: calc(100% - 40px);
    padding: 10px 20px;
    background: rgba(29, 31, 54, .6);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 100;
}

.menu-left {
    display: flex;
    gap: 40px;
}

.menu-left ul {
    display: flex;
    align-items: center;
    gap: 30px;
    font-size: 14px;
    font-weight: 300;
}

.menu-logo {
    height: 50px;
    width: auto;
}









/* Hero */
.hero {
    width: 100vw;
    height: 100vh;
    position: relative;
    overflow: hidden;
}

.hero-pin {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.hero-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-text {
    position: absolute;
    left: 0;
    bottom: 0;
    padding: 120px;
}
.hero-text-meta {
    font-size: 16px;
    color: #fff;
    line-height: 1.4;
    text-transform: uppercase;
    letter-spacing: 2px;
}
.hero-text h1 {
    font-size: 100px;
    line-height: .98;
    font-weight: 400;
}





/* Section Two */
.section-two {
    width: 100vw;
    height: 100vh;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
}

.section-two-title {
    color: var(--palette-blue);
    font-size: 50px;
    font-weight: 400;
    letter-spacing: -0.02em;
    max-width: 800px;
    text-align: center;
}

/* Section Three */
.section-three {
    width: 100%;
    height: 100vh;
    display: grid;
    grid-template-columns: 1fr 1fr;
    background: var(--palette-blue);
}

.section-three-text {
    display: flex;
    align-items: center;
    padding: 0 80px;
    font-size: 18px;
    line-height: 1.6;
}

.section-three-video-wrapper {
    width: 100%;
    height: 100%;
    overflow: hidden;
    padding: 20px;
}

.section-three-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}